/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/


/* MEDIA QUERIES */

@media (max-width: 768px) {
    /* CSS in here for mobile only */
}
@media (min-width: 769px) and (max-width: 1024px) {
    /* CSS in here for tablet only */
}
@media (min-width: 1025px) {
    /* CSS in here for desktop only */
}


/*=====================================================================
GENERAL
======================================================================*/

.bg-blended{
	background-blend-mode: overlay;
}

.no-underline, .no-underline a{
	text-decoration:none;
}

.sticky{
	position:sticky;
}

.height-100-p{
	height:100%;
}


/*=====================================================================
HEADER / NAV STYLES / NAVIGATION
======================================================================*/

/* STICKY NAV */
/*.sticky-enabled .main-navigation.is_stuck .inside-navigation {
    padding: 5px 40px;
}

.sticky-enabled .main-navigation.is_stuck .inside-navigation .navigation-branding img {
    height: auto;
    max-height: 80px;
}

.main-navigation.is_stuck,
.main-navigation.is_stuck ul ul {
    background-color: var(--brand-blue-dark);
}

.main-navigation.navigation-stick .main-nav ul li a,
.main-navigation.navigation-stick a:not([aria-label*='Close']) {
    color: #fff !important;
}*/

.navigation-branding img, .site-logo.mobile-header-logo img {
    height: 60px;
    margin-right: 40px;
}

@media (max-width: 768px) {
	.navigation-branding img, .site-logo.mobile-header-logo img {
		height: 50px!important;
		margin-right: 20px;
	}
	#mobile-menu { max-height : calc(100vh - 50px); overflow: auto;}
	.mobile-header-sticky #mobile-header.toggled .main-nav>ul { position: relative; }
	.main-navigation .main-nav ul ul li a{
		font-size:1rem;
	}
}

.nav-below-header .main-navigation .inside-navigation.grid-container{
	padding:0;
}

/*=====================================================================
MENUS
======================================================================*/

.footer-menu ul li, 
.sidebar-menu ul li{
	display:block!important;
	width:100%;
	padding-bottom:0.5rem;
	margin-bottom:0.5rem;
	border-bottom:1px dotted #ccc;
	padding-right:0!important;
}

.footer-menu ul li:last-child, 
.sidebar-menu ul li:last-child{
	border:none;
	padding-bottom:0;
	margin-bottom:0;
}

.footer-menu ul li a, 
.sidebar-menu ul li a{
	font-size:1rem;
	color:var(--heading);
	text-decoration:none;
	font-weight:500;
	padding-left:2rem;
	position:relative;
	display:flex;
	align-content: stretch;
}

.footer-menu ul li a:hover, 
.footer-menu ul li a:focus,
.sidebar-menu ul li a:hover,
.sidebar-menu ul li a:focus{
	color:var(--secondary);
}

.footer-menu ul li a::before,
.sidebar-menu ul li a::before{
	width: 1rem;
	height: 1rem;
	position:absolute;
	left:0;
	content: '';
	-webkit-mask: url(https://legacysurgery.com/wp-content/uploads/2024/09/circle-right-duotone-solid.svg) no-repeat 50% 50%;
	mask: url(https://legacysurgery.com/wp-content/uploads/2024/09/circle-right-duotone-solid.svg) no-repeat 50% 50%;
	-webkit-mask-size: cover;
	mask-size: cover;
	background-color:var(--secondary);
	align-self:center;
}

.footer-large-cta a{
	font-weight:bold;
}

/*** OFF CANVAS MENU **/
/* OFF CANVAS */
/*nav#generate-slideout-menu.main-navigation.offside {
    width: 100%;
}*/
#generate-slideout-menu .inside-navigation.grid-container.grid-parent {
    text-align: left;
    align-items: flex-start;
}

#generate-slideout-menu.do-overlay .slideout-menu li {
    text-align: left;
}

.slideout-navigation.main-navigation .main-nav ul li a{
	padding-left:0!important;
	padding-right:0!important;
	width:100%;
	border-bottom:1px solid rgba(0,0,0,0.1);
}

.slideout-navigation.main-navigation .main-nav ul li:nth-last-child(2) a{
	border-bottom:0;
}

.slideout-navigation.main-navigation .main-nav ul ul.sub-menu li a{
	border:0;
}

.slideout-navigation.main-navigation .main-nav ul li.nav-button a{
	margin-left:0;
	margin-right:0;
	padding-left:32px;
	padding-right:32px;
	padding-top:15px;
	padding-bottom:15px;
	text-align:center;
	color:#fff;
	border-bottom:0;
}

body .slideout-navigation button.slideout-exit{
	padding-left:0;
	padding-right:0;
	padding-top:0;
	margin-left:auto;
}

body .slideout-navigation.do-overlay .inside-navigation{
	padding:8% 10% 0;
}

body #generate-slideout-menu.do-overlay .slideout-menu li, body .slideout-navigation.do-overlay .inside-navigation{
	text-align:left;
}

.slideout-navigation.do-overlay .inside-navigation .main-nav{
	width:100%;
}

/*===================
GP MEGA MENU
===================*/

@media (min-width: 769px) {
    nav .main-nav .mega-menu {
        position: relative;
    }

    nav .main-nav .mega-menu > ul {
        position: absolute;
        width: 1000px;
		left:0;
        display: flex;
        flex-wrap: wrap;
		padding:1.5rem;
		background-color:#0A0D32;
		column-gap: 1rem;
    }

    nav .main-nav .mega-menu > ul > li > a {
        font-weight: bold;
		font-size:1.25rem;
		cursor:default;
		color:var(--secondary)!important;
		border-bottom:1px solid rgba(255,255,255,0.3);
		padding-bottom:1rem;
		margin-bottom:1rem;
    }
	
	nav .main-nav .mega-menu > ul > li > a:hover,
	nav .main-nav .mega-menu > ul > li > a:focus,
	nav .main-nav .mega-menu > ul > li > a:active,
	nav .main-nav .mega-menu > ul > li[class*="current-"] > a{
		color:var(--secondary)!important;
		
	}

    nav .main-nav .mega-menu>ul>li {
        display: inline-block;
        /*width: 25%;*/
        vertical-align: top;
    }

    nav .main-nav .mega-menu.mega-menu-col-2>ul>li {
        width: 50%;
    }

    nav .main-nav .mega-menu.mega-menu-col-3>ul>li {
        /*width: 33.3333%;*/
		flex: 1;
    }

    nav .main-nav .mega-menu.mega-menu-col-5>ul>li {
        width: 20%;
    }

    nav .main-nav .mega-menu > ul > li:hover > a,
    nav .main-nav .mega-menu > ul > li:focus > a,
    nav .main-nav .mega-menu > ul > li[class*="current-"] > a,
    nav .main-nav .mega-menu ul ul {
        background-color: transparent !important;
        color: inherit;
    }

    nav .main-nav .mega-menu ul .sub-menu {
        position: static;
        display: block;
        opacity: 1;
        visibility: visible;
        width: 100%;
        box-shadow: 0 0 0;
        left: 0;
        height: auto;
        pointer-events: auto;
        transform: scale(1);
    }

    nav .main-nav .mega-menu ul.toggled-on .sub-menu {
        pointer-events: auto;
    }

    nav .main-nav .mega-menu .sub-menu .menu-item-has-children .dropdown-menu-toggle {
        display: none;
    }
}


/*=====================================================================
PROCEDURES
======================================================================*/

/** PROCEDURES TYPOGRAPHY **/

.parent-procedures .entry-content a,
.single-post .dynamic-entry-content a{
	font-weight:600;
	text-decoration:none;
	border-bottom:1px dashed #ccc;
}

.parent-procedures .entry-content h2,
.single-post .dynamic-entry-content h2{
	margin-top:3.5rem;
	padding-top:3.5rem;
	margin-bottom:2.5rem;
	border-top:1px solid var(--border-light);
}

.parent-procedures .entry-content h2:first-child,
.single-post .dynamic-entry-content h2:first-child{
	margin-top:0;
	padding-top:0;
	border-top:none;
}

.parent-procedures .entry-content h3,
.single-post .dynamic-entry-content h3{
	margin-top:3.5rem;
	margin-bottom:2.5rem;
	color:#1a1a1a;
}

.parent-procedures .entry-content b,
.single-post .dynamic-entry-content b,
.parent-procedures .entry-content strong,
.single-post .dynamic-entry-content strong{
	color:var(--heading);
	font-weight:700;
}

/** OL LIST **/

.parent-procedures ol li,
.single-post .dynamic-entry-content ol li{
	background:#d5f0ed;
	padding:1.5rem;
	border-radius:0.75rem;
	color:var(--primary);
	display: block;
	position: relative;
	counter-increment: inst;
	padding-left:4rem;
	margin-bottom:0.75rem;
}

.parent-procedures .entry-content ol,
.single-post .dynamic-entry-content ol{
	clear: both;
	list-style: none;
	padding:0;
	margin:0 0 3rem 0;
}

.parent-procedures ol li::before,
.single-post .dynamic-entry-content li::before{
	content: counter(inst);
	color: var(--secondary);
	font-weight: 700;
	border-radius: 200px;
	font-size: 1.5em;
	text-align: center;
	padding-top: 0;
	height: 35px;
	width: 35px;
	line-height: 35px;
	position: absolute;
    margin: auto 0;
    left: 1rem;
}

/** UL LIST **/

.parent-procedures .entry-content ul li::before,
.single-post .dynamic-entry-content ul li::before{
	background-color:var(--secondary);
}

.parent-procedures .entry-content ul,
.single-post .dynamic-entry-content ul{
	clear: both;
	list-style: none;
	padding:0;
	margin:0 0 3rem 0;
	background-color:rgba(224, 232, 250, 0.3);
	padding:2rem;
	border-radius: 0.75rem;
}

.parent-procedures .entry-content ul li,
.single-post .dynamic-entry-content ul li{
	display: block;
	position: relative;
	padding:0 0 1rem 2.5rem;
	margin:1rem 0 0 0;
	color:var(--heading);
	font-weight:500;
	border-bottom:1px solid var(--border-light);
}

.parent-procedures .entry-content ul li:first-child,
.single-post .dynamic-entry-content ul li:first-child{
	margin:0;
}

.parent-procedures .entry-content ul li:last-child,
.single-post .dynamic-entry-content ul li:last-child{
	padding-bottom:0;
	border:none;
}

.parent-procedures .entry-content ul li::before,
.single-post .dynamic-entry-content ul li::before{
	width: 1.5rem;
	height: 1.5rem;
	position:absolute;
	left:0;
	content: '';
	-webkit-mask: url(https://legacysurgery.com/wp-content/uploads/2024/09/circle-right-duotone-solid.svg) no-repeat 50% 50%;
	mask: url(https://legacysurgery.com/wp-content/uploads/2024/09/circle-right-duotone-solid.svg) no-repeat 50% 50%;
	-webkit-mask-size: cover;
	mask-size: cover;
	vertical-align:middle;
	top:0.2rem;
}

/** CONTENT AREA **/


@media (min-width: 1025px) {
    .separate-containers .inside-article{
		padding:4rem 2.5rem 4rem 4rem;
	}
}

/** LEFT SIDEBAR SERVICES **/

body.parent-procedures{
background: rgb(247,248,253);
background: linear-gradient(90deg, #f2f4fa 30%, #ffffff 30%);
}

.is-left-sidebar{
	background:#f2f4fa;
	border-right:1px solid var(--border-light);
}

.inside-left-sidebar{
	height:100%;
	padding-right:3.75rem;
	padding-left:2rem;
}

.separate-containers .inside-left-sidebar, .separate-containers .inside-left-sidebar{
	margin:0;
	padding-top:40px;
	padding-bottom:40px;
}

.separate-containers.left-sidebar .site-main{
	margin-top:0;
	margin-bottom:0;
}

.inside-left-sidebar .sticky{
	top:150px;
}

@media (min-width: 769px) and (max-width: 1000px) {
    .site-content {
        flex-direction: column;
    }
	
	.site-content .content-area, .is-left-sidebar {
        width: 100%;
    }
	
	body.left-sidebar .inside-article {
        padding: 2rem 4rem 0 4rem;
    }
	
	.site-content .content-area, .is-left-sidebar {
        width: 100%;
    }
	
	body.left-sidebar .inside-article, .inside-left-sidebar {
        padding-right: 4rem;
        padding-left: 4rem;
    }
	
	.separate-containers.left-sidebar .site-main{
		margin:0;
	}
}

/* RANK MATH BREADCRUMBS */

.single-post article .rank-math-breadcrumb a{
	font-weight:bold;
	color:var(--primary);
}
.single-post article .rank-math-breadcrumb .last{
	color: var(--paragraph);
}

/* RANK MATH FAQ BLOG */

.single-post article .rank-math-list-item{
	padding:2rem;
	border:1px solid #ccc;
	margin-bottom:1rem;
	border-radius:8px;
}

.single-post article .rank-math-list-item h3{
	margin-top:0;
	padding-top:0;
}

.single-post article .rank-math-list-item:last-child{
	margin-bottom:0;
}

/* RANK MATH TOC */

#rank-math-toc, 
.wp-block-rank-math-toc-block{

}

@media (max-width: 768px) {
	#rank-math-toc, 
	.wp-block-rank-math-toc-block{
	}
}

#rank-math-toc h2, 
.wp-block-rank-math-toc-block h2{
	font-size:2rem;
	margin-bottom:2.5rem;
	padding-bottom:1.5rem;
	position:relative;
	padding-left:3rem;
	border-bottom:1px solid var(--border-light);
}

#rank-math-toc h2:before, 
.wp-block-rank-math-toc-block h2:before{
	width: 2rem;
	height: 2rem;
	position:absolute;
	left:0;
	content: '';
	-webkit-mask: url(https://legacysurgery.com/wp-content/uploads/2024/09/table-tree-regular.svg) no-repeat 50% 50%;
	mask: url(https://legacysurgery.com/wp-content/uploads/2024/09/table-tree-regular.svg) no-repeat 50% 50%;
	-webkit-mask-size: cover;
	mask-size: cover;
	vertical-align:middle;
	top:0.2rem;
	background-color:var(--secondary);
}

#rank-math-toc ul, 
.wp-block-rank-math-toc-block ul{
	border:0;
	background:none;
	margin-bottom:0;
	padding:0;
	margin-left:0;
}

#rank-math-toc ul:first-child, 
.wp-block-rank-math-toc-block ul:first-child{
	padding-left:0;
}

#rank-math-toc ul ul, 
.wp-block-rank-math-toc-block ul ul{
	padding-top:1rem;
	padding-bottom:0;
	padding-left:0;
}

#rank-math-toc ul li, 
.wp-block-rank-math-toc-block ul li{
	border-bottom:0;
	padding-bottom:0;
}

#rank-math-toc ul li a{
	color:var(--primary);
	padding-bottom:0.25rem;
}

#rank-math-toc ul li a:hover{
	color:var(--secondary);
}

#rank-math-toc ul li:before, 
.wp-block-rank-math-toc-block ul li:before{
	-webkit-mask: url(https://legacysurgery.com/wp-content/uploads/2024/09/circle-solid.svg) no-repeat 50% 50%;
	mask: url(https://legacysurgery.com/wp-content/uploads/2024/09/circle-solid.svg) no-repeat 50% 50%;
	background:var(--btn-primary-hover);
    width: 0.75rem;
    height: 0.75rem;
    top: 0.6rem;
}

#rank-math-toc ul li:hover:before, 
.wp-block-rank-math-toc-block ul li:hover:before{
	background:var(--secondary);
}

@media (max-width: 768px) {
	#rank-math-toc ul ul,
	.wp-block-rank-math-toc-block ul ul{
		padding-top:1rem;
		padding-bottom:0;
		padding-left:0;
		margin-left:-1rem;
	}
	#rank-math-toc h2, 
	.wp-block-rank-math-toc-block h2{
		font-size:1.5rem;
		padding-left:2.5rem;
	}
	#rank-math-toc h2:before, 
	.wp-block-rank-math-toc-block h2:before{
		width:1.5rem;
		height:1.5rem;
	}
}
	
#rank-math-toc ul ul li:before, 
.wp-block-rank-math-toc-block ul ul li:before{
	-webkit-mask: url(https://legacysurgery.com/wp-content/uploads/2024/09/dash-solid.svg) no-repeat 50% 50%;
	mask: url(https://legacysurgery.com/wp-content/uploads/2024/09/dash-solid.svg) no-repeat 50% 50%;
	background:var(--btn-primary-hover);
}

#rank-math-toc ul ul li:hover:before, 
.wp-block-rank-math-toc-block ul ul li:hover:before{
	background:var(--secondary);
}

#rank-math-toc ul ul li, 
.wp-block-rank-math-toc-block ul ul li{
	padding-left:1.5rem;
}

#rank-math-toc ul li:last-child, 
.wp-block-rank-math-toc-block ul li:last-child{
	margin-bottom:0;
}

/*=====================================================================
FOOTER
======================================================================*/

/* FIXED CTA ON MOBILE */
.footer-cta {
    position: fixed;
    bottom: 0;
    width: 100%;
    z-index: 9;
}

/*=====================================================================
PLUGINS
======================================================================*/

/*===================
GRAVITY FORMS
===================*/


/*===================
YOAST SEO
===================*/

.yoast-breadcrumbs {
    color: #000;
}

.yoast-breadcrumbs a {
    opacity: 0.5;
}

.yoast-breadcrumbs a:hover,
.yoast-breadcrumbs a:focus {
    color: #000;
    opacity: 0.8;
}

.schema-faq-section {
    border: 1px solid var(--border-light);
    padding: 30px;
    background: rgba(240, 242, 249, 0.4);
    margin-bottom: 1.4em;
    border-radius: 10px;
}

.schema-faq-section .schema-faq-question {
    font-size: 1.2em;
    margin-bottom: 1em;
    display: block;
    font-weight: 600;
}

.schema-faq-section p.schema-faq-answer:last-child {
    margin-bottom: 0;
}

/*===================
RANK MATH FAQ
===================*/

.rank-math-list-item{
	background:rgba(225, 232, 250, 0.45);
	padding:2rem;
	border-radius:1rem;
	margin-bottom:1rem;
}

.rank-math-list-item h3{
	margin-top:0!important;
	padding-top:0!important;
	margin-bottom:1.5rem!important;
	letter-spacing: 0.02rem;
	font-size:1.25rem;
}

.rank-math-list-item p:last-child{
	margin-bottom:0;
	padding-bottom:0;
}

/*===================
RANK MATH BREADCRUMBS
===================*/

.rank-math-breadcrumb{
	font-size:0.85rem;
}

.rank-math-breadcrumb .last{
	color:rgba(255,255,255,0.7);
}

/*===================
CAROUSEL SLIDER
===================*/
.wp-block-cb-carousel .slick-next:before, 
.wp-block-cb-carousel .slick-prev:before,
.slick-dots li button:focus:before, 
.slick-dots li button:hover:before{
	color:#fff;
}

.wp-block-cb-carousel .slick-dots li button:before{
	color:rgba(255,255,255, 0.9);
}

.wp-block-cb-carousel .slick-dots li.slick-active button:before{
	color:#fff;
	opacity:1;
}

/*===================
AllAccessible
===================*/


@media (max-width: 768px) {
    .accessibility-trigger-button.bottom-right {
		bottom:65px!important;
	}
	.accessibility-trigger-button button span{
		background:var(--btn-primary-hover)!important;
	}
}

/*------------------------------------------
INFINITE SCROLL AJAX (BLOG) - DO NOT DELETE
------------------------------------------*/

/* DISPLAYS MESSAGE WHEN ALL POSTS HAVE BEEN LOADED */
.page-load-status {
  opacity: 0; /* hidden by default */
  padding-top: 20px;
  border-top: 1px solid #DDD;
  text-align: center;
  color: #777;
}

/* LOADING ANIMATION 1 */
.loader-ellips {
  font-size: 20px; /* change size here */
  position: relative;
  width: 4em;
  height: 1em;
  margin: 10px auto;
}

.loader-ellips__dot {
  display: block;
  width: 1em;
  height: 1em;
  border-radius: 0.5em;
  background: #555; /* change color here */
  position: absolute;
  animation-duration: 0.5s;
  animation-timing-function: ease;
  animation-iteration-count: infinite;
}

.loader-ellips__dot:nth-child(1),
.loader-ellips__dot:nth-child(2) {
  left: 0;
}
.loader-ellips__dot:nth-child(3) { left: 1.5em; }
.loader-ellips__dot:nth-child(4) { left: 3em; }

@keyframes reveal {
  from { transform: scale(0.001); }
  to { transform: scale(1); }
}

@keyframes slide {
  to { transform: translateX(1.5em) }
}

.loader-ellips__dot:nth-child(1) {
  animation-name: reveal;
}

.loader-ellips__dot:nth-child(2),
.loader-ellips__dot:nth-child(3) {
  animation-name: slide;
}

.loader-ellips__dot:nth-child(4) {
  animation-name: reveal;
  animation-direction: reverse;
}

/* LOADING ANIMATION 2 */
/* HTML: <div class="loader"></div> */

.loader{
	margin:20px auto 0 auto;
}

.loader {
  width: 45px;
  aspect-ratio: .75;
  --c: no-repeat linear-gradient(#000 0 0);
  background: 
    var(--c) 0%   50%,
    var(--c) 50%  50%,
    var(--c) 100% 50%;
  animation: l7 1s infinite linear alternate;
}

@keyframes l7 {
  0%  {background-size: 20% 50% ,20% 50% ,20% 50% }
  20% {background-size: 20% 20% ,20% 50% ,20% 50% }
  40% {background-size: 20% 100%,20% 20% ,20% 50% }
  60% {background-size: 20% 50% ,20% 100%,20% 20% }
  80% {background-size: 20% 50% ,20% 50% ,20% 100%}
  100%{background-size: 20% 50% ,20% 50% ,20% 50% }
}

/*===================
BLOG
===================*/
.search-box {
	display: flex;
    width: 30%;
}

.search-box input {
	border: none;
}

.search-box .wp-block-search__inside-wrapper,
.search-box .wp-block-search__button.has-icon {
	border-radius: 8px;
}

.modified-date svg {
	transform: scale(1.30);
}

@media (max-width: 1024px) {
	.search-box .wp-block-search__inside-wrapper,
	.search-box {
		width: 100% !important;
	}
}

